
Foreman - Bug #684

toggle selection is broken on hosts page

02/23/2011 09:31 AM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 0.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

when toggle all is pressed and then move forward a page and then go back the selection has changed. This may be due to the

search order

clear all also clears any search parameters

Related issues:

Related to Foreman - Bug #815: Redirect to login page when editing multiple h... Closed 03/31/2011

History

#1 - 02/24/2011 05:49 PM - Bash Shell

This has always been broken, as far as I can remember. ( I discussed this with Ohad on IRC a long time ago)

If I ever use the toggle link, the way I use it is to press it once, then refresh the page to manually re-select the ones that were missed. :-/

The "Toggle All" link sends 20 POST requests.

Only a random number of requests are processed.. some are simply "dropped" by Rails.

(I'm using Apache+Passenger now, but I saw the same behavior with Webrick, so I suspect it is Rails)

I think the solution would be to send ONE Post request, with all the Host IDs as a parameter.

If you are going to let people select the number of hosts per page, this will be a bigger problem.

#2 - 05/04/2011 04:48 AM - Ohad Levy

- Category set to Web Interface

- Status changed from New to Closed

- Assignee set to Ohad Levy

- Target version set to 0.3

this has been fixed at #815

Powered by TCPDF (www.tcpdf.org)

05/11/2024 1/1

https://projects.theforeman.org/issues/815
http://www.tcpdf.org

